%def_enable gecko_doc
%define realname gecko-sharp-2.0
 
Name: libgecko-sharp2
Version: 0.13
Release: alt1

Summary: Gecko bindings for Mono
License: GPL
Group: Development/Other
URL: http://www.mono-project.com/
Packager: Mono Maintainers Team <mono@packages.altlinux.org>

Source0: http://go-mono.com/sources/%realname/%realname-%version.tar.bz2

Provides: %name-devel = %version-%release
Obsoletes:%name-devel < %version-%release

BuildPreReq: rpm-build-mono
BuildPreReq: libgtk-sharp2-devel >= 1.9.0
BuildPreReq: libgtk+2-devel >= 2.0.0

BuildRequires: mono-mcs mono-devel gcc-c++ 

BuildRequires: /proc
%if_enabled gecko_doc
BuildRequires: monodoc
%endif

%description
This package provides Mono bindings for the Gecko engine, through
an easy-to-use widget that will allow you to embed a Mozilla
browser window into your Gtk# application.

%package doc
Summary: Gecko bindings for Mono documantation.
Group: Development/Other
Requires: monodoc

%description doc
Documentation for .Net language bindings for
Gecko based on GTK - gtkmozembed\#

%prep
%setup -q -n %realname-%version
subst "s|^pkgconfigdir = ..prefix./lib/pkgconfig|pkgconfigdir = %_pkgconfigdir|" \
	Makefile.{am,in}

%build
%configure --disable-static 
make

%install
%make_install DESTDIR=%buildroot install

%files
%_monogacdir/*
%_monodir/gecko-sharp-2.0
%_pkgconfigdir/*

%if_enabled gecko_doc
%files doc
%_monodocdir/sources/*
%endif

%changelog
* Thu Mar 20 2008 Alexey Shabalin <shaba@altlinux.ru> 0.13-alt1
- 0.13

* Tue Nov 27 2007 Alexey Shabalin <shaba@altlinux.ru> 0.12-alt2
- add --disable-static to configure
- rebuild with new rpm-build-mono-1.2
- drop devel package (pkgconfig file move to main package)

* Tue Mar 20 2007 Ildar Mulyukov <ildar@altlinux.ru> 0.12-alt1
- 0.12
- parallel build turned off
- removed mono-tools dep

* Fri Oct 13 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.11-alt3
- fixed pkgconfigdir for x86_64 build

* Wed Oct 11 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.11-alt2
- rpm-build-mono support
- a little cleanup

* Tue Oct 11 2005 Evgeny Sinelnikov <sin@altlinux.ru> 0.11-alt1
- Initial build for version 2
